# NeoBreaker

#### Loop player for Adafruit NeoTrellis M4


## Features
* 4 groups of 7 samples stored in QSPI memory (G1_1.wav to G4_7.wav)
* playback of 1 sample from each grop at a time
* loop launch quintized to 1/8th (kind of)
* right channel outputs 15ms 2ppqn pulse for Korg devices

## Ideas andTODO
* Clock input (& Slicing)
    * Korg click
    * USB MIDI
* Configure one-shot/loop samples
* USB mass storage to transfer samples
* Sequencer
    * MIDI out
    * Internal synths

## Tip
To upload samples, switch M4 to Circuit Python or upload msc_external_flash from Adafruit TinyUSB Arduino examples